Bug 1480134 - vertical navigation doesn't open the just-selected primary option on hover
vertical navigation doesn't open the just-selected primary option on hover
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Greg Sheremeta
Lucie Leistnerova
Depends On:
  Show dependency treegraph
Reported: 2017-08-10 05:45 EDT by Lucie Leistnerova
Modified: 2017-12-20 05:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-20 05:52:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+

Attachments (Terms of Use)
clicking_on_menu (384.04 KB, application/octet-stream)
2017-08-10 05:45 EDT, Lucie Leistnerova
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 81589 master POST webadmin: fix vertical nav hover and timing 2017-09-09 09:01 EDT

  None (edit)
Description Lucie Leistnerova 2017-08-10 05:45:13 EDT
Created attachment 1311646 [details]

Description of problem:
When I'm clicking one left menu and don't wait for menu automatic show, it got stuck and no submenu is shown.

Version-Release number of selected component (if applicable):

How reproducible: always

Steps to Reproduce:
1. log into admin portal
2. click on Compute, submenu is shown, then click on Virtual machines
3. click again on Compute and click on Templates
4. click on Network, submenu is shown
5. click back on Compute

Actual results: after some clicking no submenu is shown, see video

Expected results: submenu is shown every time even when user uses clicking on menu items

Additional info:
no error in engine and ui log, nothing in browser console
Tested in Firefox 54.0.1 and Google Chrome 60.0
Comment 1 Greg Sheremeta 2017-08-13 18:04:36 EDT
This is a bug in upstream patternfly that I will fix.
Comment 2 Greg Sheremeta 2017-09-08 16:27:57 EDT
Comment 3 Yaniv Kaul 2017-10-15 07:55:17 EDT
Patch is merged. Is there anything else needed, or can we move this BZ to MODIFIED?
Comment 4 Lucie Leistnerova 2017-10-31 08:48:07 EDT
I did not run into stuck menu again whatever I'm clicking on.

verified in ovirt-engine-webadmin-portal-4.2.0-0.0.master.20171030210714.gitef6bb9c.el7.centos.noarch
Comment 5 Sandro Bonazzola 2017-12-20 05:52:34 EST
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.